import { createAppLocalVue } from '@/../tests/utils' // should be the first to implement default mocks
import AmpPreference from '../AmpPreference'
import { mount } from '@vue/test-utils'
import store from '@/store'
import router from '@/router'

const localVue = createAppLocalVue({
  appSettings: {
    myAccount: {
      ampPreference: true,
    },
  },
})

describe('Global - App Components - AMP Preference', () => {
  it('should render checkbox by default', async () => {
    let wrapper = mount(AmpPreference, {
      localVue,
    })

    expect(wrapper.isVueInstance()).toBeTruthy()
    expect(wrapper.element).toMatchSnapshot()
  })
})
